# std::experimental::filesystem::path::swap

From cppreference.com
< cpp‎ | experimental‎ | fs‎ | path

void swap( path& other ); | (1) | (filesystem TS)

Swaps the contents of *this and `other`.

### Parameters

other | - | another path to exchange the contents with

### Return value

(none)

### Exceptions

`noexcept` specification:
noexcept

### Complexity

Constant.

### See also

| This section is incomplete

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/experimental/fs/path/swap&oldid=91713"
Categories:

- unconditionally noexcept
- Todo without reason

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template